## ros-kinetic-abb-irb2400-support 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(abb_irb2400_support)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_2400.xml)
  roslaunch_add_file_check(tests/roslaunch_test_2400_12_155.xml)
endif()

install(DIRECTORY config launch meshes urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-abb-irb2400-support (1.3.1-1xenial) xenial; urgency=high

  * Use the 'doc' attribute on 'arg' elements. (#143 <https://github.com/ros-industrial/abb/issues/143>)
  * Update maintainers (#139 <https://github.com/ros-industrial/abb/issues/139>)
  * Contributors: Harsh Deshpande, gavanderhoorn

 -- Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>  Mon, 16 Sep 2019 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.3.0-1xenial) xenial; urgency=high

  * remove reference to source build and rebase to indigo devel.
  * kinetic-devel release of ros-industrial/abb
  * Contributors: Austin Deric

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 26 May 2017 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.2.1-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 26 Mar 2017 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.2.0-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Fri, 05 Jun 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.9-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 06 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.8-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sun, 05 Apr 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.7-1xenial) xenial; urgency=high

  * Merged hydro branch
    - Updated CHANGELOG.rst and package.xml files
  * Fix incorrect maintainer email in manifests. Fix #65 <https://github.com/Levi-Armstrong/abb/issues/65>.
  * Fix #32 <https://github.com/Levi-Armstrong/abb/issues/32>: corrects tool0 to match robot controller
  * Fix for issue #49 <https://github.com/Levi-Armstrong/abb/issues/49>: add 'base' link (transform to World)
    This should not affect existing kinematic plugins or MoveIt configurations:
    - the link is not part of the main kinematic chain
    - the transform is implemented as a fixed joint
  * Contributors: Levi Armstrong, Shaun Edwards, gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Tue, 31 Mar 2015 22:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.6-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.5-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Mon, 16 Mar 2015 23:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.4-1xenial) xenial; urgency=high

  * No changes

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Sat, 13 Dec 2014 23:00:00 -0000

ros-kinetic-abb-irb2400-support (1.1.3-1xenial) xenial; urgency=high

  * Bump versions.
  * support: add roslaunch testing.
  * support: add robot interface and visualisation convenience launchfiles.
    Defaults for 'J23_coupled' argument/parameter copied from irb_2400_moveit_config
    and irb_6640_moveit_config packages.
    TODO: provide default for coupling factor of IRB 5400 (no existing value available).
  * irb2400: move IRB 2400 support into separate support pkg.
    Meshes and urdfs copied from abb_common package.
  * Contributors: gavanderhoorn

 -- Shaun Edwards (Southwest Research Institute) <sedwards@swri.org>  Thu, 04 Sep 2014 22:00:00 -0000

=== debian/control ===
Source: ros-kinetic-abb-irb2400-support
Section: misc
Priority: extra
Maintainer: Levi Armstrong (Southwest Research Institute) <levi.armstrong@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: http://ros.org/wiki/abb_irb2400_support
Standards-Version: 3.9.2

Package: ros-kinetic-abb-irb2400-support
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-abb-driver, ros-kinetic-abb-resources, ros-kinetic-joint-state-publisher, ros-kinetic-robot-state-publisher, ros-kinetic-rviz
Description: ROS-Industrial support for the ABB IRB 2400 (and variants).
 This package contains configuration data, 3D models and launch files for ABB IRB 2400 manipulators. This currently includes the base model. Joint limits and max joint velocities are based on the information in the ABB data sheets. All URDFs / XACROs are based on the default motion and joint velocity limits, unless noted otherwise (ie: no support for high speed joints, extended / limited motion ranges or other options). Before using any of the configuration files and / or meshes included in this package, be sure to check they are correct for the particular robot model and configuration you intend to use them with. The unqualified IRB 2400 model will be removed in ROS-Lunar, please use the IRB 2400-12/1.55 as a replacement.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-abb-irb2400-support//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
